# RPC Fast SaaS – EVM

- [Introduction](https://docs.rpcfast.com/rpc-fast-saas-evm/introduction.md): Blockchains: Ethereum, Polygon, BSC, Velas, Arbitrum.
- [Getting Started](https://docs.rpcfast.com/rpc-fast-saas-evm/getting-started.md): Welcome to RPC Fast! Create your first dApp for free in three simple steps.
- [Pricing and Plans](https://docs.rpcfast.com/rpc-fast-saas-evm/pricing-and-plans.md)
- [Growth Plan](https://docs.rpcfast.com/rpc-fast-saas-evm/pricing-and-plans/growth-plan.md): Best option for dedicated developers, providing higher throughput and extended usage abilities.
- [Compute Units (CUs)](https://docs.rpcfast.com/rpc-fast-saas-evm/compute-units-cus.md): We use Compute Units as an alternative to the ‘pay-per-click’ method. It provides greater flexibility and cost savings.
- [CUPS (Rate Limit)](https://docs.rpcfast.com/rpc-fast-saas-evm/compute-units-cus/cups-rate-limit.md): We count Compute Units per second instead of counting requests. It is our way to achieve a stable connection and keep costs low without affecting the client's UX
- [JSON Web Token (JWT)](https://docs.rpcfast.com/rpc-fast-saas-evm/json-web-token-jwt.md): RPC Fast operates with JSON Web Token. Here we explain the way it works
- [Ethereum API](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api.md): Take a closer look at the Compute Units system and see the methods available in the RPC Fast Ethereum API. Each of them costs a different number of CUs
- [eth\_accounts - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_accounts-ethereum.md): Use it to receive addresses that a client owns
- [eth\_blockNumber - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_blocknumber-ethereum.md): Shows you the number of the last block
- [eth\_call - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_call-ethereum.md): Proceeds the next message call momentarily. You don’t have to create a new transaction on the blockchain
- [eth\_chainId - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_chainid-ethereum.md): Recalls the new configured chain id, which value will come in handy for replay-protected transaction realization as in EIP-155 suggestions
- [eth\_estimateGas - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_estimategas-ethereum.md): Counts and presents the necessary gas amount for a successful transaction. This transaction will not appear on blockchain
- [eth\_gasPrice - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_gasprice-ethereum.md): Shows how much each gas currently costs in wei
- [eth\_getBalance - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_getbalance-ethereum.md): Shows a balance of an account on the chosen address in wei
- [eth\_getBlockByHash - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_getblockbyhash-ethereum.md): Recalls the data about a block by hash
- [eth\_getBlockByNumber - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_getblockbynumber-ethereum.md): Gives you the data about the block if you enter the block number
- [eth\_getBlockTransactionCountByHash - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_getblocktransactioncountbyhash-ethereum.md): Shows you the number of transactions that have proceeded in this block after you enter its hash
- [eth\_getBlockTransactionCountByNumber - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_getblocktransactioncountbynumber-ethereum.md): Shows you the number of transactions that have proceeded in this block after you enter its number
- [eth\_getCode - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_getcode-ethereum.md): Shows a smart contract code, compiled, related to an address you give
- [eth\_getFilterChanges - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_getfilterchanges-ethereum.md): A data collecting method that shows a logs array appeared since last data collection
- [eth\_getFilterLogs - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_getfilterlogs-ethereum.md): Shows you an array which contains all logs that suit the filter with the stated id
- [eth\_getLogs - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_getlogs-ethereum.md): Shows you an array which contains all logs that suit the filter with the stated filter objects
- [eth\_getProof - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_getproof-ethereum.md): Shows the storage- and the account-values of the required account with the Merkle-proof on this list
- [eth\_getStorageAt - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_getstorageat-ethereum.md): Shows you the statement of the contract’s storage at the requested address when you cannot proceed this operation via contract’s methods
- [eth\_getTransactionByBlockHashAndIndex - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_gettransactionbyblockhashandindex-ethereum.md): This method recalls the transaction data after you enter block hash and transaction index position
- [eth\_getTransactionByBlockNumberAndIndex - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_gettransactionbyblocknumberandindex-ethereum.md): The method enables access to information about a transaction after entering a block number and its index
- [eth\_getTransactionByHash - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_gettransactionbyhash-ethereum.md): The method recalls the transaction data after you enter its hash
- [eth\_getTransactionCount - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_gettransactioncount-ethereum.md): Shows the number of transactions that were sent from one stated address
- [eth\_getTransactionReceipt - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_gettransactionreceipt-ethereum.md): Shows a receipt of a transaction with a transaction’s hash entered. It won’t be shown in cases of pending transactions
- [eth\_getUncleByBlockHashAndIndex - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_getunclebyblockhashandindex-ethereum.md): Shows the ‘Uncle’ and its index position after you enter the block’s hash
- [eth\_getUncleByBlockNumberAndIndex - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_getunclebyblocknumberandindex-ethereum.md): Shows information about the block’s Uncle and its position after you enter the index
- [eth\_getUncleCountByBlockNumber - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_getunclecountbyblocknumber-ethereum.md): Gives you the quantity of uncles that fit the block number you enter
- [eth\_getUncleCountByBlockHash - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_getunclecountbyblockhash-ethereum.md): Gives you the quantity of uncles that fit the block hash you enter
- [eth\_newBlockFilter - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_newblockfilter-ethereum.md): This method builds up a node filter for notifications about new blocks. You can check out for statement changes by calling the eth\_getFilterChanges method
- [eth\_newFilter - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_newfilter-ethereum.md): Builds up a filter object which notifies you every time the state changes. A filter object is based on filter options and shows changes via the command eth\_getFilterChanges
- [eth\_newPendingTransactionFilter - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_newpendingtransactionfilter-ethereum.md): This method builds up a node filter for notifications about new pending transactions. You can check out for statement changes by calling the eth\_getFilterChanges method
- [eth\_sendRawTransaction - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_sendrawtransaction-ethereum.md): Creates new message call transaction or a contract creation for signed transactions
- [eth\_subscribe - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_subscribe-ethereum.md): Builds up a new subscription fitting certain events. Works only for websockets
- [eth\_syncing - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_syncing-ethereum.md): Shows the synchronization status or returns false
- [eth\_uninstallFilter - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_uninstallfilter-ethereum.md): Deletes the filter with the stated id. Call it out every time you don’t need the watch anymore. Filters can timeout if you don’t recall them via eth\_getFilterChanges for a certain time
- [eth\_unsubscribe - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_unsubscribe-ethereum.md): Cancels subscriptions via a regular RPC call. You should state eth\_unsubscribe as a method and write a subscription id in the place of the first param. Works only for websockets
- [net\_listening - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/net_listening-ethereum.md): Shows the true boolean result if the client listens actively for network connections
- [net\_version - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/net_version-ethereum.md): Recalls an actual network id
- [web3\_clientVersion - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/web3_clientversion-ethereum.md): Shows you an actual client version
- [web3\_sha3 - Ethereum](https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/web3_sha3-ethereum.md): Shows you Keccak-256 (which is not the standard SHA3-256) of the stated data
- [How to Add RPC Fast Endpoints to MetaMask](https://docs.rpcfast.com/rpc-fast-saas-evm/how-to-add-rpc-fast-endpoints-to-metamask.md): A guide on connecting MetaMask to RPC Fast
- [How to Add Polygon to MetaMask](https://docs.rpcfast.com/rpc-fast-saas-evm/how-to-add-polygon-to-metamask.md): Step-by-step guide for dApp developers on adding Polygon to MetaMask.
- [Support –> Other Blockchains](https://docs.rpcfast.com/rpc-fast-saas-evm/support-greater-than-other-blockchains.md): RPC Fast SaaS – ETH, BSC, AR, Polygon, Velas.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rpcfast.com/rpc-fast-saas-evm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
